Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The wrong driver was assigned to a vehicle in Samsara via API. How can I correct this?
The wrong driver was assigned to a vehicle in Samsara via API. How can I correct this?
You’ll need to use the
POST /fleet/driver-vehicle-assignments endpoint to assign the correct driver to the vehicle over the same time period.How do I create an assignment without an end time?
How do I create an assignment without an end time?
The
endTime parameter of the POST /fleet/driver-vehicle-assignments endpoint is optional - if you don’t specify it, we’ll default to the maximum allowable time to represent an ongoing assignment.How do I eventually end an ongoing assignment?
How do I eventually end an ongoing assignment?
Ongoing assignments are driver-vehicle assignments that don’t have a specified end time. Just send a request to the
POST fleet/driver-vehicle-assignments endpoint with the ongoing assignment’s startTime, driverID and vehicleID and an endTime, and the assignment will be updated to reflect the endTime.The GET fleet/driver-vehicle-assignments endpoint is returning a driver I didn't expect. Why?
The GET fleet/driver-vehicle-assignments endpoint is returning a driver I didn't expect. Why?
The
GET fleet/driver-vehicle-assignments endpoint may return a driver based on a higher-priority assignment source than you expect. Drivers can be assigned in Samsara in many different ways. Our system ranks them in the following hierarchy and returns the highest assignment source in the API response.- Manual override assignment (Driver overridden in Safety Platform): Derived from Safety Inbox interactions and Trip History
- API Driver Assignment: If you have a separate system to track driver assignments, you can use the Driver-Vehicle Assignments API to override a Driver Assignment.
- Tachograph vehicle assignment (EU only): Assignments derived from Tachograph assignments in the EU.
- Driver App assignment (Compliance Hours of Service): Auto Duty and Samsara Driver App Assignments.
- Trailer: Used if there’s a trailer driver assignment.
- RFID scan assignment: For RFID scanner installations, assignments derived from RFID scanners. Drivers can use ID Card Readers to scan into their vehicles.
- QR Code: Administrators use Samsara Cloud to setup QR Codes. Drivers sign in using these QR Codes.
- Bluetooth token assignment: Assignments from low-power Bluetooth devices, such as Trip Card, Driver Card, or Driver Token.
- Static: Driver and device assignments made in the Samsara dashboard. Used for more permanent assignments.
- Camera ID assignment (camera facial recognition): Assignments detected with the Samsara Dash Cam using facial recognition. This will also show up as the
assignmentTypeif a user manually changes the driver assigned to a vehicle which is fitted with a Samsara Dash Cam.